summaryrefslogtreecommitdiff
path: root/config/chroot_local-hooks/spotify
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2013-08-26 21:28:38 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2013-08-27 06:46:21 +0200
commit3b0a401d4eaa4c961c6a07c3a98c3d40b0a3e031 (patch)
treea0d5c539f2e8679234550df0e48c27082e83476d /config/chroot_local-hooks/spotify
parenteed584b30c1d4b96e0be8dcf6781acb0aa30c37a (diff)
downloadkanotix-3b0a401d4eaa4c961c6a07c3a98c3d40b0a3e031.zip
kanotix-3b0a401d4eaa4c961c6a07c3a98c3d40b0a3e031.tar.gz
added some optional proprietary packages/ repositories and hooks
Diffstat (limited to 'config/chroot_local-hooks/spotify')
-rwxr-xr-xconfig/chroot_local-hooks/spotify11
1 files changed, 11 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/spotify b/config/chroot_local-hooks/spotify
new file mode 100755
index 0000000..ad4de6e
--- /dev/null
+++ b/config/chroot_local-hooks/spotify
@@ -0,0 +1,11 @@
+#!/bin/bash
+for file in /root/config/*; do [ -r $file ] && . $file; done
+echo "$LB_PACKAGE_LISTS" | grep -qw spotify || exit 0
+TMP=$(mktemp -d /tmp/spotify.XXXXXX)
+# install libssl0.9.8 from squeeze
+wget -qkO $TMP/index http://snapshot.debian.org/package/openssl098/0.9.8o-7/
+grep -oe 'http[^"]*libssl0.9.8_[^"]*_'"$LB_ARCHITECTURE.deb" $TMP/index | head -n1 | wget -i- -P $TMP
+dpkg -i $TMP/*.deb
+apt-get update
+DEBIAN_FRONTEND=noninteractive apt-get -f -y install spotify-client
+rm -rf $TMP